
import baseX from 'base-x'
import { connect } from 'dva';
var BASE16 = '0123456789abcdef'
var bs16 = baseX(BASE16)

export function Base16Encode(value){
  let is_open_base14 = sessionStorage.getItem('is_open_base16')?JSON.parse(sessionStorage.getItem('is_open_base16')):false;
  if(is_open_base14) return value?bs16.encode(new Buffer(value)):null;
  return value;
}
